
/**************************************************************************************
**
**  The Osiris application compares one catalog of executable files
**  with another catalog of executable files. Osiris catalogs specified
**  directories of files (including MD5 hashes, modification dates,
**  and file attributes into a specified database.
**
**  Copyright (C) 2000  - the shmoo group -
**
**  This program is free software; you can redistribute it and/or
**  modify it under the terms of the GNU General Public License
**  as published by the Free Software Foundation; either version 2
**  of the License, or (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
** 
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
**
**************************************************************************************/

/**********************************************************************
**
**    The Shmoo Group (TSG)
**
**    File:      hash_handler.h
**    Author:    see hash_handler.c
**
**    Project:   osiris ( UNIX ).
**
**********************************************************************/


#ifndef _HASH_HANDLER_H
#define _HASH_HANDLER_H

#define HASH_ALGORITHM_MD5   "MD5"
#define HASH_ALGORITHM_SHA   "SHA"
#define HASH_ALGORITHM_HAVAL "HAVAL"

#define BUFFER_SIZE (1024*16)   /* for md5 and sha buffers. */
#define FPTLEN 256              /* for haval fingerprint.   */


#include "utilities.h"

#include "md5.h"
#include "sha.h"
#include "haval.h"

#include <sys/types.h>
#include <unistd.h>

/* methods used to hash file contents. */

char * hash_file_haval( const char *file_path );
char * hash_file_md5( const char *file_path );
char * hash_file_sha( const char *file_path );

#endif;

